> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Quick Books Connection Precondition

> Queries QuickBooks company preferences for multi-currency and updates the connection's precondition status.

Not available to API keys yet. It will need `integrations:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/verify-quick-books-connection-precondition
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/verify-quick-books-connection-precondition:
    post:
      operationId: verifyQuickBooksConnectionPrecondition
      summary: Verify Quick Books Connection Precondition
      description: >-
        Queries QuickBooks company preferences for multi-currency and updates
        the connection's precondition status.


        Not available to API keys yet. It will need `integrations:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/VerifyQuickBooksConnectionPreconditionRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/VerifyQuickBooksConnectionPreconditionResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    VerifyQuickBooksConnectionPreconditionRequest:
      type: object
      properties:
        clientId:
          type: string
          format: uuid
        connectionId:
          type: string
          format: uuid
    VerifyQuickBooksConnectionPreconditionResponse:
      type: object
      properties:
        connectionId:
          type: string
        status:
          type: string
          enum:
            - PENDING_PRECONDITION
            - ACTIVE
            - EXPIRED
            - DISCONNECTED
        multiCurrencyEnabled:
          type: boolean
        reason:
          type:
            - string
            - 'null'
      required:
        - connectionId
        - status
        - multiCurrencyEnabled
        - reason
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
